﻿body {
    font-size: 14px;
    /* font-family: "Segoe UI", Verdana, Helvetica, Sans-Serif; */
    font-family: Tahoma;
    color: #232323;
    background-color: #fff;
    margin: 0 5%;
    position: relative;
    padding-bottom: 20px;
    letter-spacing: 0.3px;
}

a {
    color: darkgreen;
}

#logo {
    display: block;
    margin: 0 auto;
    height: 90px;
    border: none;
}

/* Homepage */
.home_download {
    display:inline-block;
    border-right:1px solid #333;
    padding-right:20px        
}

    .home_download.no_border {
        border-right:none;
    }

.home_download a{
    color: darkred;
    position: relative;
    top: -16px;     
}


/* Styles for basic forms
-----------------------------------------------------------*/

textarea {
    min-height: 20ex;
}

fieldset {
    padding: 2ex 2em;
    border: 1px solid brown;
    background-color: lightyellow;
}

legend {
    font-style: italic;
    font-weight: normal;
    font-size: 150%;
    color: brown;
}

.editor-container {
    position: relative;
    margin-bottom: 1ex;
}

form:not(.nostyle) button[type=submit] {
    width: auto;
    border: none;
    background-color: lightyellow;
    color: brown;
    float: right;
    margin-top: 1em;
}

form:not(.nostyle) button#form-cancel {
    width: auto;
    border: none;
    background-color: lightyellow;
    color: brown;
    float: left;
    margin-top: 1em;
}

form:not(.nostyle) label {
    margin: 1ex 0 0 0;
}

    form:not(.nostyle) label.boolean-t {
        position: relative;
        left: 1.5em;
    }

fieldset fieldset {
    border-style: dotted;
}

    fieldset fieldset legend {
        font-size: 100%;
    }

.editor-field .text-box, .editor-field input[type=date], .editor-field input.CalendarDate, .toDate {
    width: 98%;
    border: 1px solid grey;
    padding: 5px;
    color: #444;
}

.form-caption {
    margin-bottom: 1em;
}

form .check-box {
    width: auto;
    position: absolute;
    top: 0;
}

form .select2-container {
    display: block;
}

/* Styles for validation helpers
-----------------------------------------------------------*/
.field-validation-error {
    clear: both;
    display: block;
    color: #f00;
    text-align: right;
    font-style: italic;
}

.field-validation-valid {
    display: none;
}

.input-validation-error {
    border: 1px solid #f00;
    background-color: #fee;
}

.validation-summary-errors {
    font-weight: bold;
    color: #f00;
}

    .validation-summary-errors ul {
        list-style: none;
    }

.validation-summary-valid {
    display: none;
}

/****** Grids ******/

.grid th {
    background-color: lightgray;
}

.grid a {
    text-decoration: none;
}

.grid {
    width: 100%;
    text-align: center;
    border-collapse: collapse;
    margin-top: 2em;
}

.gridrow_alternate {
    background-color: lightyellow;
}

.pagination {
    margin-top: 1em;
    text-align: center;
}

.paginationRight {
    position: absolute;
    right: 0;
}

.paginationLeft {
    font-style: italic;
}


/****** Navigation bar ******/

#top-msg {
    position: absolute;
    top: 0;
    width: 50%;
    left: 25%;
    text-align: center;
    padding: 1ex 0;
    font-size: 150%;
    color: darkgreen;
    background-color: lightyellow;
    border: 1px solid darkgreen;
}

#nav-top {
    background-color: brown;
    overflow: hidden;
    padding: 0.5ex 0;
}

    #nav-top * {
        color: lightyellow;
        margin: 0;
        padding: 0;
        font-size: 105%;
    }

    #nav-top li {
        min-width: 10em;
    }

#nav-sub {
    background-color: lightyellow;
    overflow: hidden;
}

    #nav-sub * {
        color: brown;
        margin: 0;
        padding: 0;
    }

    #nav-sub li {
        min-width: 8em;
    }

.navigation li {
    list-style: none;
    float: left;
    text-align: center;
}

.navigation a {
    text-decoration: none;
}

#nav-roles {
    float: left;
}

#nav-general {
    float: right;
}

#change-pwd {
    width: 30em;
    margin: 100px auto;
}

/****** LogOn ******/

#logon {
    width: 25em;
    margin: 100px auto;
}

/****** Inbox ******/

#nav-sub-links {
    float: left;
}

#nav-sub-actions {
    float: right;
}

.col_check {
    width: 4em;
}

.col_date, .col_from {
    width: 8em;
}

#search {
    margin: 1em;
}

    #search .editor-container {
        display: inline-block;
        width: 40%;
        margin: 1ex 1em 0 0;
        vertical-align: middle;
    }

.create-msg {
    width: 35em;
    margin: auto;
}

    .create-msg #Body {
        height: 30ex;
    }

    .create-msg #msg-rcpts {
        margin: 0 0 1ex 1em;
    }

        .create-msg #msg-rcpts label {
            float: left;
            width: 6em;
            margin-top: 0.5ex;
            font-style: italic;
        }

        .create-msg #msg-rcpts .select2-container {
            display: inline;
        }


/****** Thread ******/

#thread {
    position: relative;
    width: 70%;
}

#thread-actions {
    position: absolute;
    right: 0;
    width: 25%;
}

    #thread-actions form {
        margin: 1em 0;
    }

    #thread-actions fieldset {
        padding: 1ex 1em;
    }

#thread-join #CanWrite {
    position: absolute;
    top: 0;
    width: auto;
}

#thread-flags {
    position: absolute;
    top: -10px;
    right: 0;
}

    #thread-flags form {
        margin-bottom: 0.5em;
        width: 14em;
        height: 3em;
    }

    #thread-flags span {
        font-weight: bold;
        display: inline-block;
        position: relative;
        width: 80px;
    }

    #thread-flags button {
        background-color: brown;
        color: black;
        width: 7em;
        border: medium none;
        float: right;
    }

#thread-reply .Attachments {
    border-top: 1px dotted brown;
    padding-top: 5px;
}

#thread-title {
    text-align: center;
    margin-bottom: 0;
}

#thread-members {
    color: #A52A2A;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    text-align: center;
    width: 50%;
}

#thread-messages {
    margin-top: 3ex;
}

#thread-reply fieldset {
    border-style: dotted;
    padding: 2ex 2em;
}

#thread-reply #Body {
    height: 30ex;
    width: 100%;
    border: 1px dashed brown;
}

.thread-message {
    margin-bottom: 1ex;
    border: 1px dotted brown;
    background-color: lightyellow;
}

    .thread-message * {
        font-size: 90%;
    }

    .thread-message .label {
        float: left;
        font-style: italic;
        color: brown;
        min-width: 3em;
        margin: 0 1em;
    }

    .thread-message .body {
        font-size: 100%;
        margin: 1ex 2em;
    }

    .thread-message .attach a {
        margin-right: 1em;
        display: inline-block;
        position: relative;
    }

/****** Admin ******/

.form-admin {
    width: 30em;
    margin: 100px auto;
}

#institution-details, #category-details {
    width: 30em;
    margin: 0 auto;
}

/****** Viewer ******/
#viewer-select {
    width: 30em;
    margin: 100px auto;
}

#viewee-header {
    font-size: 130%;
    text-align: center;
}

    #viewee-header span {
        font-weight: bold;
    }

/****** eSTR ******/
.wizard-step, #wizard-summary, #wizard-submit, #wizard-back, #wizard-copy, #wizard-replace, #wizard-validate {
    display: none;
}

.wizard-template {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.7);
    z-index: 2;
}

    .wizard-template fieldset {
        width: 80%;
        margin: 50px auto 0 auto;
    }

#wizard-next {
    float: right;
}

#wizard-spinner {
    display: none;
    float: right;
}

a.wizard-template-link {
    display: block;
}

form.wizard .step-required-msg {
    display: none;
    color: red;
}

#str {
    width: 50em;
    margin: auto;
    position: relative;
}

    #str h2 {
        text-align: center;
    }

    #str fieldset.name-complex {
        border: medium none;
        padding: 0;
        margin: 2em 0;
    }

    #str .editor-container label {
        width: 25%;
        float: left;
        text-align: right;
        margin-right: 5%;
    }

    #str .editor-field {
        display: block;
        overflow: hidden;
        padding-right: 2px; /*otherwise border is hidden*/
    }

.boolean-t {
    margin-left: 25px;
}

.wizard-templateedit-link {
    cursor: pointer;
}

.main_section {
    margin-bottom: 40px;
}

.greyedOut {
    opacity: 0.5;
    color: #999;
}

.welcome_msg {
    color: rgb(102, 102, 102);
    font-style: italic;
    padding-bottom: 15px;
}

.hide_welcome {
    float: right;
    margin-top: 15px;
    cursor: pointer;
    color: rgb(51, 51, 51);
    text-decoration: underline;
}

.str_part {
    position: relative;
    padding-bottom: 20px;
}

#wizard-help {
    cursor: pointer;
    display: none;
    position: absolute;
    right: 10px;
    top: 16px;
    width: 16px;
}

.grey_label {
    color: #666;
    font-style: italic;
}

.identification, .sub_person {
    border: 1px dotted;
    margin-bottom: 10px;
    margin-top: 10px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
    position: relative;
    width: 92%;
}

    .identification legend {
        font-size: 120%;
    }

.button_top {
    position: absolute;
    right: 25px;
    top: 33px;
    cursor: pointer;
}

.splitDiv {
    position: relative;
    border: 1px solid #999999;
    display: inline-block;
    padding: 2%;
    position: relative;
    width: 45%;
    *zoom: 1;
    vertical-align: top;
    min-height: 100px;
    font-size: 14px;
}

.transaction_types .splitDiv {
    min-height: 232px;
}

.splitDivParent {
    font-size: 0px;
}

.disabled_div {
    background: none repeat scroll 0 0 #999999;
    height: 100%;
    left: 0;
    opacity: 0.4;
    position: absolute;
    top: 0;
    width: 100%;
}

div.enable_div .disabled_div {
    display: none;
}

.statusChangeDiv {
    position: relative;
    border: 1px solid rgb(153, 153, 153);
    padding: 2%;
    width: 95%;
}

.addPartLink {
    color: #999999;
    cursor: pointer;
    font-style: italic;
    font-weight: bold;
    margin-left: 15px;
    width: 95%;
}

    .addPartLink.rightLink {
        text-align: right;
    }

.wizard-template .editor-container label {
    display: inline-block;
    margin: 0;
    width: 20%;
    vertical-align: top;
}

.wizard-template .editor-field {
    display: inline-block;
    vertical-align: top;
    margin-left: 10px;
    width: 75%;
}

.wizard-template .field-validation-error, #str .field-validation-error {
    width: 95%;
}

.wizard-template fieldset, #str fieldset {
    background-color: #FFFFFF;
    border: 1px solid #687C97;
}

.wizard-template legend, #str legend {
    color: #687C97;
}

.wizard-template button {
    color: #687C97 !important;
    background-color: #FFF !important;
    cursor: pointer;
}

.wizard-template .input-validation-error {
    background-color: #FFFFFF;
    border-left: 2px solid #FF0022 !important;
}

.wizard-template .field-validation-error {
    display: none;
}

#str a, .wizard-template a {
    color: #687C97;
    font-style: italic;
    text-decoration: none;
}

.part_title, #str .label_attachments {
    border-bottom: 1px solid #687C97;
    border-top: 1px solid #687C97;
    color: #687C97;
    font-size: 18px;
    margin-bottom: 10px;
    margin-top: 10px;
    padding: 10px 10px 10px 0;
}

#printView .part_title {
    border-bottom: 1px solid #687C97;
    border-top: 1px solid #687C97;
    color: black;
    font-size: 18px;
    margin-bottom: 10px;
    margin-top: 10px;
    padding: 10px 10px 10px 0;
    background-color: RGB(198,217,241);
    padding-left: 10px;
}

@media print {
    #printView .part_title {
        -webkit-print-color-adjust: exact;
    }
}

.cash_table {
    border: 1px solid #666666;
    display: inline-block;
    margin-left: 10px;
    width: 75%;
}

    .cash_table input {
        width: 80%;
        border: 1px solid #808080;
    }

.blue_span {
    color: #687C97;
    font-style: italic;
}

ul.step-summary {
    list-style: circle;
}

.StatusNotOpen {
    position: relative;
}

#str .Attachments {
    margin-top: 10px;
    margin-bottom: 10px;
}

.RemoveAttach {
    color: #DC143C;
    font-style: italic;
    cursor: pointer;
}

.thread-type {
    color: #687C97;
    padding: 5px;
    text-align: center;
    font-size: 20px;
}

.thread-message.blue {
    border: 1px solid #687C97;
    background-color: #F3F3F3;
}

    .thread-message.blue .label {
        color: #687C97;
    }

.thread-message.red {
    border: 1px solid #a11010;
    background-color: #f39898;
}

    .thread-message.red .label {
        color: #a11010;
    }

    .thread-message.red .body {
        color: #a11010;
        background-color: #f39898;
    }

#history .thread-message {
    border: none;
    background: none;
}

.events_btn {
    color: #687C97;
    cursor: pointer;
    font-style: italic;
}

#events {
    border: 1px solid rgb(165, 42, 42);
    padding: 10px;
}

.span_date {
    color: #687C97;
}

.span_user {
    font-style: italic;
    color: brown;
    font-size: 100%;
}

.ref_number {
    position: relative;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    padding: 2px;
    font-size: 16px;
    font-weight: bold;
    color: brown;
}

.last_seen_msg {
    position: relative;
    margin-right: auto;
    margin-left: auto;
    width: 270px;
    color: #687C97;
    font-style: italic;
    padding: 5px;
}

.col_rActions a {
    border-right: 1px solid black;
    padding-right: 5px;
}

    .col_rActions a:last-child {
        border-right: none;
    }

.stat_results {
    width: 100%;
}

    .stat_results td {
        border: 1px solid #333;
        padding: 2px;
    }

    .stat_results .head_row {
        font-weight: bold;
    }
